<?php
	session_start();
    include ("conex.php");
	$idusuario = $_SESSION['idusuario'];
	$ruc = $_POST['ruc'];
	$razon = $_POST['razon'];
	$condicion = 1;
	$actividad = "NUEVA DE EMPRESA";
		
	$my_ip = $_SERVER["REMOTE_ADDR"]; 
	date_default_timezone_set('America/Guayaquil');
	$fecha_actual = date('Y/m/d');
	$time_actual =date("H:m:s");
	
	$consulta = mysqli_query($conn,"SELECT e.idempresa, e.ruc, e.razon_social
							FROM tbi_empresa as e								
							WHERE e.condicion = 1 and e.ruc = $ruc");
	if($row = mysqli_fetch_array($consulta))
	{
		echo "Este RUC ya se encuentra registrado.";
	}
	else
	{
		$sql_sp = mysqli_query($conn,"INSERT INTO tbi_empresa (ruc, razon_social, condicion)
		VALUES ('$ruc','$razon','$condicion')");
	
		$sql_id = mysqli_query($conn,"SELECT max(idempresa) FROM tbi_empresa");
			if ($row = mysqli_fetch_row($sql_id)) 
			{
				$id_empresa = trim($row[0]);
				//$id_solicitud++;
			}
			if ($id_empresa>=1)
			{
				
			}
			else
			{
				$id_empresa=1;
			}
	
		$sql_aud = mysqli_query($conn,"INSERT INTO tbi_historial (fecha, hora, ip, detalle, id_empresa, id_usuario)
		VALUES ('$fecha_actual','$time_actual','$my_ip','$actividad','$id_empresa','$idusuario')");	
	}
	
		

	
?>